package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel("脚本变量信息实体")
public class ScriptVariableDto implements Serializable {
    @ApiModelProperty("变量名称")
    private String name;
    @ApiModelProperty("变量说明")
    private String desc;
    @ApiModelProperty("变量默认值")
    private String defaultValue;
    @ApiModelProperty("变量类型")
    private String type;
    @ApiModelProperty("变量值")
    private String value;
    @ApiModelProperty("是否为输入项")
    private Boolean input;
    @ApiModelProperty("是否为输出项")
    private Boolean output;
    @ApiModelProperty("赋值步骤引用")
    private List<String> quoted;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Boolean getInput() {
        return input;
    }

    public void setInput(Boolean input) {
        this.input = input;
    }

    public Boolean getOutput() {
        return output;
    }

    public void setOutput(Boolean output) {
        this.output = output;
    }

    public List<String> getQuoted() {
        return quoted;
    }

    public void setQuoted(List<String> quoted) {
        this.quoted = quoted;
    }
}
